/* Code: Jonas Pelzer, jonaspelzer.com */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 100%;
    font: inherit;
}

html, body {
    scroll-behavior: smooth;
}

body {
    background: var(--beige);
}

.mobileonly {
    display: none;
}

a {
    text-decoration: none;
    color: inherit;
}

a:hover {
    text-decoration: underline;
}

.main {
    overflow-y: auto;
    height: 100vh;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
    /* transition: all .4s cubic-bezier(0.25, 1, 0.5, 1); */
}

.main--nosnap {
    scroll-snap-type: none;
    overflow-y: hidden;
}

.section {
    min-height: 100%;
    scroll-snap-align: start;
    /* scroll-snap-stop: always; */
}

:root {
    --beige: #EDDED5;
    --green: #141C18;
    /* --red: #F09387; */
    --red: #F17F6E;
}

.asterisk {
    animation: asterisk 4s linear infinite;
    display: inline-block;
    font-size: 1.6em;
    width: .4em;
    height: .4em;
    text-align: center;
    line-height: .9em;
    position: relative;
    bottom: -.2em;
    user-select: none;
    font-style: normal;
    font-weight: normal;
    font-family: 'Lay Grotesk';
    /* outline: solid 1px green; */
}

::selection {
    background: var(--green);
    background: var(--red);
    /* color: var(--beige); */
}

.lage ::selection {
    background: var(--green);
    color: var(--beige);
}

.generalcontactbtn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 400;
    background: var(--beige);
    padding: 7px 8px;
    border: solid 2px #000;
    border-radius: 5em;
    align-self: center;
    justify-self: center;
    transform: translateY(150%);

    animation: generalcontactbtn 1s 2s cubic-bezier(0.25, 1, 0.5, 1) forwards;
}

@keyframes generalcontactbtn {
    from {
        transform: translateY(150%);
    }

    to {
        transform: translateY(0%);
    }
}

@keyframes asterisk {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


/* fix elements for nav appearance on scrolling up, only on desktop */
@media (min-width: 901px) {
    .heading .belowheading, .lage-title1, .lage-title2, .object-title, .presse-title, .presse-list, .wohnen-copy, .kontakt-form, .kontakt-socialicons {
        transition: all .6s cubic-bezier(0.25, 1, 0.5, 1);
    }

    .body--scrolltop .lage-title1 {
        transform: translateY(2rem);
    }

    .body--scrolltop .lage-title2 {
        transform: translateY(1.5rem);
    }

    .body--scrolltop .heading, .body--scrolltop .kontakt-socialicons {
        transform: translateY(2.5rem);
    }

    .body--scrolltop .belowheading {
        height: calc(100vh - 9rem - 2.5rem);
        margin-top: 2.5rem;
    }

    .body--scrolltop .object-title {
        transform: translateY(1rem);
    }

    .body--scrolltop .presse-title, .body--scrolltop .presse-list {
        transform: translateY(2.5rem);
    }

    .body--scrolltop .wohnen-copy {
        padding-top: calc(1.25rem + 2.5rem);
        padding-bottom: 1.25rem;
    }

    .body--scrolltop .kontakt-form {
        transform: translateY(1rem);
    }
}


/* typography */

html {
    /* font-size: 30px; */
    font-size: 20px;
}

@font-face {
    font-family: 'Lay Grotesk';
    src: url('../assets/fonts/laygrotesk-trial-regular.otf');
}

.sans {
    font-family: 'Lay Grotesk';
}

strong, .bold {
    font-weight: bold;
}

@font-face {
    font-family: 'TWK Ghost';
    src: url('../fonts/TWKGhost-Italic.woff2');
    font-style: italic;
}

em, .italic {
    font-family: 'TWK Ghost';
    font-style: italic;
}

.serif {
    font-family: 'TWK Ghost';
}

strong {
    font-weight: normal;
    text-transform: uppercase;
    letter-spacing: .025em;
}

.fs-xs {
    font-size: 1rem;
}

.fs-s {
    font-size: 1.34rem;
}

.fs-m {
    font-size: 2rem;
}

.fs-l {
    font-size: 5rem;
}

.fs-xl {
    font-size: 6.67rem;
}


/* line height */

.lh-145 {
    line-height: 1.45;
}

.lh-125 {
    line-height: 1.25;
}

.lh-111 {
    line-height: 1.11;
}


/* margin */
.mx-3 {
    margin-right: 10px;
    margin-left: 10px;
}
.my-3 {
    margin-top: 10px;
    margin-bottom: 10px;
}
.m-5 {
    margin: 1.5rem;
}

/* paddings */


.ph-s {
    padding-left: 1.67rem;
    /* padding-left: 50px; */
}

.cols-4.p-5 {
    padding: 1.5rem;
}
.p-5 {
    padding: 1.5rem;
}

.ph-m {
    padding-left: 2rem;
    /* padding-left: 60px; */
}

.ph-l {
    padding-left: 3.34rem;
    /* padding-left: 100px; */
}

.pe-l {
    padding-right: 3.34rem;
    /* padding-right: 100px; */
}

.pv-std {
    padding-top: 2.5rem;
}

.pv-why {
    padding-top: 1.5rem;
}
.pv-why1 {
    margin-bottom: 20px;
}



/* layout */

.section {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
}

.cols-2 {
    grid-column: span 2;
}

.cols-3 {
    grid-column: span 3;
}

.cols-4 {
    grid-column: span 4;
}

.cols-5 {
    grid-column: span 5;
}

.cols-6 {
    grid-column: span 6;
}

.cols-8 {
    grid-column: span 8;
}

.cols-9 {
    grid-column: span 9;
}

.cols-10 {
    grid-column: span 10;
}

.cols-12 {
    grid-column: span 12;
}

.subgrid {
    display: grid;
    grid-template-columns: subgrid;
}

.heading {
    height: 9rem;
    background: var(--beige);
}

.belowheading {
    height: calc(100vh - 9rem);
}

.section:not(.intro) .asterisk {
    margin-left: -8px;
}


/* nav */

.nav {
    /* height: 76px; */
    /* line-height: 76px; */
    padding-top: .75em;
    padding-bottom: .75em;
    background: var(--beige);
    display: flex;
    flex-direction: row;
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 300;
    transition: all .6s cubic-bezier(0.25, 1, 0.5, 1);
    height: 2.5em;
    animation: navfadein 1.5s 2s cubic-bezier(0.25, 1, 0.5, 1) forwards;
    transform: translateY(-100%);
}

.nav--hidden {
    /* top: -2.5em; */
    top: -2.75em;
}

.nav ul {
    display: inline-flex;
    flex: 1;
}

.nav ul li {
    list-style-type: none;
    margin-right: 1.75em;
}

.nav-1, .nav-2, .nav-3 {
    /* outline: solid 1px red; */
}

.nav-2, .nav-3 {
    margin-left: auto;
}

.nav-2 {
    margin-right: 30px;
}

.nav-3 {
    height: 1.5em;
    margin-top: -.25em;
    margin-right: 20px;
}

.nav-3 img {
    height: 100%;
}

@keyframes navfadein {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}

.nav-hamburger {
    margin-left: auto;
    /* margin-right: 20px; */
    border: none;
    cursor: pointer;
    height: 2.5em;
    margin-top: -.75em;
    width: 4em;
    background: url("../assets/hamburger.svg") no-repeat center center;
}

.mobilenav {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: var(--green);
    color: var(--beige);
    font-size: 25px;
    border: none;
    width: 100vw;
    /* height: 100vh; */
    flex-direction: column;
    display: none;
    z-index: 400;
}

.mobilenav-close {
    margin-left: auto;
    border: none;
    cursor: pointer;
    height: 2.5rem;
    margin-top: -.75rem;
    padding: 0;
    width: 4rem;
    background: url("../assets/hamburger-light.svg") no-repeat center center;
    /* outline: solid 1px green; */
}

.mobilenav-header {
    /* outline: solid 1px red; */
    width: 100%;
    display: flex;
    height: 2.5rem;
    padding: .75rem 0 .75rem 20px;
}

.mobilenav-menu {
    font-size: 20px;
    /* margin-top: 40px; */
}

.mobilenav-menu li {
    /* outline: solid 1px green; */
}

.mobilenav-menu li a {
    display: block;
    padding: 6px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mobilenav-footer {
    margin-top: auto;
    padding: 20px;
}

.mobilenav-footer a {
    margin-right: 20px;
}



/* intro */

.intro {
    position: relative;
    overflow: hidden;
    display: block;
}

.intro-coverimage {
    position: absolute;
    height: 100vh;
    width: 100vw;
    background-size: cover;
    background-position: center center;
    top: 0;
    left: 0;
    animation: introzoom 2.4s cubic-bezier(0.25, 1, 0.5, 1) forwards;
}

@keyframes introzoom {
    from {
        transform: scale(1);
    }

    to {
        transform: scale(1.2);
    }
}

.intro-covertext {
    text-align: center;
    font-size: 5.4vw;
    margin-top: -2vh;
    color: var(--beige);
    position: absolute;
    width: 100%;
    top: 50%;
    transform: translateY(-50%);
    user-select: none;
}

.intro-covertext br {
    display: none;
}

.intro-covertext-carousel {
    width: 10ch;
    display: inline-block;
    position: relative;
    top: -.8em;
    white-space: nowrap;
}

.carousel-item, .carousel-initial {
    position: absolute;
    top: 0;
    left: 0;
    text-align: left;
    width: 100%;
    /* outline: solid 1px red; */
}

.carousel-item {
    opacity: 0;
}

.carousel-initial {
    /* animation: textcarouselinitial 2s 2s cubic-bezier(0.25, 1, 0.5, 1) forwards; */
    /* animation: textcarouselinitial 2s 2s linear forwards; */
    animation: textcarouselinitial 2s 2s cubic-bezier(0.22, 1, 0.36, 1) forwards;
}

.carousel-item:nth-child(2) {
    /* animation: textcarousel 6s 2.5s infinite cubic-bezier(0.25, 1, 0.5, 1); */
    /* animation: textcarousel 6s 2.5s infinite linear; */
    animation: textcarousel 6s 2.5s infinite cubic-bezier(0.22, 1, 0.36, 1);
}

.carousel-item:nth-child(3) {
    /* animation: textcarousel 6s 4s infinite cubic-bezier(0.25, 1, 0.5, 1); */
    /* animation: textcarousel 6s 4s infinite linear; */
    animation: textcarousel 6s 4s infinite cubic-bezier(0.22, 1, 0.36, 1);
}

.carousel-item:nth-child(4) {
    /* animation: textcarousel 6s 5.5s infinite cubic-bezier(0.25, 1, 0.5, 1); */
    /* animation: textcarousel 6s 5.5s infinite linear; */
    animation: textcarousel 6s 5.5s infinite cubic-bezier(0.22, 1, 0.36, 1);
}

.carousel-item:nth-child(5) {
    /* animation: textcarousel 6s 7s infinite cubic-bezier(0.25, 1, 0.5, 1); */
    /* animation: textcarousel 6s 7s infinite linear; */
    animation: textcarousel 6s 7s infinite cubic-bezier(0.22, 1, 0.36, 1);
}

@keyframes textcarouselinitial {
    from {
        top: 0;
        opacity: 1;
    }

    to {
        top: -10vh;
        opacity: 0;
    }
}

@keyframes textcarousel {
    0% {
        top: 10vh;
        opacity: 0;
    }

    20% {
        top: 0;
        opacity: 1;
    }

    50%, 100% {
        top: -10vh;
        opacity: 0;
    }
}

.intro-copy {
    background: var(--green);
    color: var(--beige);
    width: 100%;
    position: absolute;
    bottom: 0;
    padding-top: .75em;
    padding-bottom: 1em;
    padding-right: 2em;
    animation: introcopy 1.5s 2s cubic-bezier(0.25, 1, 0.5, 1) forwards;
    transform: translateY(100%);
}

@keyframes introcopy {
    from {
        transform: translateY(100%);
    }

    to {
        transform: translateY(0);
    }
}

.intro-badge {
    background: var(--red);
    width: 6.2em;
    height: 6.2em;
    position: absolute;
    top: 2.65em;
    right: .6em;
    border-radius: 100%;
    text-align: center;
    justify-content: center;
    display: flex;
    align-content: center;
    align-items: center;
    transform: translateX(120%) rotate(90deg);
    animation: introbadge 1.5s 2s cubic-bezier(0.25, 1, 0.5, 1) forwards;
    user-select: none;
}

@keyframes introbadge {
    from {
        transform: translateX(120%) rotate(90deg);
    }

    to {
        transform: translateX(0) rotate(12deg);
    }
}




/* lage */

.lage {
    background: var(--red);
    position: relative;
}

.lage-copy, .lage-legend {
    align-self: end;
    padding-bottom: 1.25em;
}

.lage-drawing1 {
    /* background-image: url(../images/zeichnung-1.svg); */
    /* background-image: url(../images/zeichnung-1b.svg); */
    background-image: url(../images/zeichnung-1b.png);
    /* outline: solid 1px blue; */
    background-repeat: no-repeat;
    background-size: contain;
    background-position: bottom right;
    position: absolute;
    top: 0;
    top: 2.5rem;
    right: 0;
    /* width: 70vw; */
    width: 60vw;
    height: 70vh;
}

.lage-drawing2 {
    /* background-image: url(../images/zeichnung-2.svg); */
    /* background-image: url(../images/zeichnung-2b.svg); */
    background-image: url(../images/zeichnung-2b.png);
    /* outline: solid 1px blue; */
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    width: 80vw;
    /* top: 3rem; */
    top: 4.5rem;
    /* height: calc(100vh - 10rem); */
    height: calc(100vh - 13rem);
    left: 50%;
    transform: translateX(-50%);
    display: block;
    position: absolute;
}

.lage-legend {
    grid-column: 7 / span 6;
    display: flex;
    flex-direction: row;
}

.lage-legend-col {
    grid-column: span 2;
    /* outline: solid 1px red; */
    flex: auto;
}

.lage-legend-col-item {
    margin-top: 1.25em;
    display: flex;
}

.lage-legend-col-item-number {}

.lage-legend-col:first-of-type .lage-legend-col-item:first-of-type .lage-legend-col-item-number span {
    background: #000;
    color: var(--beige);
}

.lage-legend-col-item-number span {
    background: var(--beige);
    display: inline-flex;
    border-radius: 50%;
    width: 1.25em;
    height: 1.25em;
    justify-content: center;
    align-items: center;
    align-content: center;
    border: solid 1px #000;
    padding-top: .075em;
}

.lage-legend-col-item-info {
    padding-left: .5em;
}

.lage-legend-col-item-info * {
    display: block;
}

.lage+.lage .lage-legend-col-item {
    margin-top: .35em;
}

.lage+.lage .lage-legend-col-item-number span {
    border: none;
}

/* .lage-drawing-number {
    position: absolute;
    border-radius: 50%;
    width: 1.25em;
    height: 1.25em;
    color: #000;
    background: var(--beige);
    border: solid 1px #000;
    padding-top: .075em;
    text-align: center;
}

.lage-drawing2 .lage-drawing-number {
    border: none;
}

.lage-drawing2 .lage-drawing-number:nth-of-type(1) {
    bottom: 30%;
    left: 70%;
} */



/* features */

.features-item {
    grid-column: span 2;
    height: calc(50vh - 4.5rem);
    background-size: cover;
    background-position: center center;
}

features-empty-item {
    grid-column: span 1;
}

.features-item div {
    display: none;
    background: var(--green);
    color: var(--beige);
    text-align: center;
    padding: 2em;
    height: 100%;
    align-content: center;
    justify-content: center;
    flex-direction: column;
    font-size: 2.1vh;
}

.features-item div em {
    margin-top: -1em;
}

.features-item:hover div {
    display: flex;
}

.features-popover {
    background: var(--red);
    color: var(--green);
    border: none;
    top: 50%;
    left: 50%;
    width: 80%;
    transform: translate(-50%, -50%);
    padding: 20px 20px 30px 20px;
    /* pointer-events: none; */
    position: fixed;
    display: none;
}

@media (min-width: 901px) {
    .features-popover {
        display: none !important;
    }
}

.features-popover-title {
    text-transform: uppercase;
    letter-spacing: .05em;
    margin-bottom: 1em;
    display: block;
}

.features-popover-close {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 25px;
    color: var(--green);
}


/* architektur */

.architektur-copy {
    background: var(--green);
    color: var(--beige);
    padding: 1.45em;
}

.architektur-copy img {
    width: 8ch;
    margin-top: 1.45em;
}

.architektur--hadi .architektur-copy {
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.architektur--hadi .architektur-image {
    background-size: cover;
    background-position: right center;
}

.architektur--hadi {
    position: relative;
    z-index: 40;
}


/* swiper */
.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    background-size: cover;
    background-position: center center;
}

.swiper-button-next, .swiper-button-prev {
    filter: brightness(0) invert(1);
    top: unset !important;
    bottom: 2rem;
}

.swiper-button-next {
    right: 2rem !important;
}

.swiper-button-prev {
    left: 2rem !important;
}


/* wohnen */

.wohnen-image {
    background-size: cover;
    background-position: center center;
}

.wohnen2 {
    grid-template-rows: min-content auto;
    border-bottom: solid 1px #000;
}

.wohnen-copy {
    background: var(--green);
    color: var(--beige);
    padding-right: 2em;
    padding-top: 2.5rem;
    /* padding-bottom: 1.25em; */
    padding-bottom: 2.5rem;
    /* height: min-content; */
}

.wohnen-list {
    /* border-right: solid 1px #000; */
    align-content: center;
}

.wohnen-list ol {
    list-style-type: none;
    counter-reset: list-counter;
}

.wohnen-list ol li {
    counter-increment: list-counter;
    display: block;
}

.wohnen-list ol li a {
    padding-left: 2em;
    margin-left: -2em;
}

.wohnen-list ol li:before {
    content: counter(list-counter);
    margin-right: 0.5rem;
    width: 2ch;
    display: inline-block;
}

.wohnen-drawing {
    padding: 60px 100px;
}

.wohnen-drawing-img {
    background-image: url(../images/wohnen-zeichnung.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    display: block;
    width: 100%;
    height: 100%;
}


/* object */
.object {
    height: 100vh;
    /* overflow-y: auto; */
}

.object-slider {
    max-height: 100vh;
}

.object-title {
    padding-right: 3rem;
    /* outline: solid 1px green; */
}

.object-text {
    margin-top: 3rem;
    padding-right: 3rem;
    padding-bottom: 2.9em;
    align-self: start !important;
    justify-self: start !important;
    max-height: 45vh;
    overflow-y: auto;
}

.object-bottom {
    height: min-content;
    align-self: end;
    grid-template-rows: 1fr 1fr;
}

.object-meta {
    border-top: solid 2px #000;
    border-bottom: solid 2px #000;
    white-space: nowrap;
    letter-spacing: -.025rem;
}

.object-meta>div {
    padding: .25em .05em;
    text-align: center;
    height: min-content;
}

.object-meta>div+div {
    border-left: solid 2px #000;
}

.object-expose {
    display: flex;
    align-content: center;
    justify-content: center;
}

.object-expose a {
    padding: .25em .75em;
    border: solid 2px #000;
    border-radius: 4em;
    align-self: center;
    justify-self: center;
}

.object-expose-sold {
    padding: .25em .75em;
    border: solid 2px #000;
    border-radius: 4em;
    align-self: center;
    justify-self: center;
    cursor: not-allowed;
    user-select: none;
    /* opacity: .6; */
}


/* status quo */

.statusquo-video {
    background: #000;
}

.statusquo-video video {
    object-fit: cover;
    height: 100%;
    width: 100%;
}


/* presse */

.presse {
    position: relative;
}

.presse-list {
    margin-top: 2.2em;
    padding-right: 50px;
    height: max-content;
}

.presse-article {
    padding-bottom: 1.45em;
    /* outline: solid 1px red; */
}

.presse-article>.cols-2 {
    padding-right: 10px;
}

.presse a {
    text-decoration: none;
}

.presse a:hover {
    text-decoration: underline;
}

.presse-drawing {
    background: url(../images/presse.png) no-repeat;
    /* outline: solid 1px red; */
    background-size: contain;
    height: 3em;
    align-self: end;
    width: 90%;
    margin-left: 10%;
}

.presse-cover {
    background: url(../images/cover-transparent.png);
    background-size: contain;
    /* outline: solid 1px red; */
    width: 24vw;
    aspect-ratio: 309/397;
    position: absolute;
    left: 2rem;
    bottom: 2rem;
}

.presse-title {}

.presse-subtitle {
    display: block;
    margin-left: 2.2rem;
}





/* kontakt */

.kontakt * {
    /* outline: solid 1px rgba(0,0,0,.2); */
}

/* .section:not(.kontakt) {
    display: none;
} */

.kontakt {
    /* position: relative; */
    /* outline: solid 1px red; */
    grid-template-rows: auto 1fr auto;
}

.kontakt-form {}

.kontakt-form form {}

.kontakt-form form {
    height: min-content;
    margin-top: 5vh;
}

/* .kontakt-form .cols-5 {
    height: max-content;
} */

.kontakt-form label {
    position: absolute;
    left: -9999px;
}

.kontakt-form-control {
    position: absolute;
    left: -9999px;
}

.kontakt-form-field {
    width: calc(100% - 50px);
}

.kontakt-form-field input {
    appearance: none;
    background: transparent;
    border: none;
    border-bottom: solid 1px #000;
    width: 100%;
}

.kontakt-form-field:first-of-type input {
    border-top: solid 1px #000;
}

.kontakt-form-textarea {
    appearance: none;
    background: transparent;
    border: solid 1px #000;
    width: calc(100% - 50px);
    padding: .15em .35em;
    resize: none;
}

.kontakt-form-field input:focus, .kontakt-form-textarea:focus {
    background: rgba(0, 0, 0, .1);
    outline: none;
}

.kontakt-form-fillout {
    color: red;
    display: none;
}

.kontakt-form-success {
    color: green;
    display: none;
}

.kontakt-form-submit {
    display: flex;
    align-items: end;
    align-content: end;
    justify-content: end;
    height: min-content;
}

.kontakt-form-submit-button {
    appearance: none;
    background: transparent;
    margin-right: 50px;
    padding: .25em .75em;
    border: solid 1px #000;
    border-radius: 4em;
    align-self: center;
    justify-self: center;
    cursor: pointer;
}

.kontakt-form-submit-button:hover, .kontakt-form-submit-button:focus {
    text-decoration: underline;
}

.kontakt-drawing {
    height: 6em;
    margin-top: -1.5em;
    margin-left: -.5em;
    background: url(../assets/papierflieger.png) no-repeat;
    background-size: contain;
}

.kontakt-footer {
    background: var(--green);
    height: 4em;
    line-height: 4em;
    color: var(--beige);
    /* position: absolute;
    bottom: 0; */
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    /* padding-right: 1.67em; */
    padding-right: 50px;
    scroll-snap-align: start;
}

.kontakt-footer div {
    text-align: left;
}

.kontakt-footer div+div {
    text-align: center;
}

.kontakt-footer div+div+div {
    text-align: right;
}

.kontakt-footer a {
    margin-right: 30px;
}

.kontakt-footer a:last-of-type {
    margin-right: 0;
}

.socialicon {
    display: inline-block;
    height: 1.45em;
    width: 1.45em;
    position: relative;
    top: .3em;
}

.socialicon img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.kontakt-text {
    margin-top: 1em;
    margin-bottom: 6em;
}

.kontakt-text em {
    /* margin-bottom: 1.25em; */
    margin-bottom: 0.625em;
    display: inline-block;
}

.kontakt-logo {
    /* width: 190px; */
    /* width: 315px; */
    width: 15.75em;
    max-width: 100%;
    /* margin-top: 10px; */
    /* margin-top: 1.25em; */
    /* margin-top: 0.625em; */
    margin-top: 0.25em;
}

.kontakt-socialicons {
    display: flex;
    align-items: center;
    justify-items: center;
    justify-content: center;
    /* outline: solid 1px red; */
}

.kontakt-socialicons a {
    /* outline: solid 1px blue; */
    width: 2em;
    height: 2em;
    margin-right: .5em;
}

.kontakt-socialicons a img {
    max-width: 100%;
}



/* fabian freytag */

.ff {
    position: relative;
    min-height: auto !important;
    height: auto !important;
    display: block;
    overflow-y: visible;
    background: #ACBDC4;
}

.body--ff .main {
    scroll-snap-type: none !important;
}

.body--ff .nav {
    background: var(--red);
}

/* body:not(.body--ff) .ff-rts {
    display: none;
}

.body--ff .ff-rts {
    display: block;
} */

.ff-rts-container {
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    overflow-x: hidden;
}

.ff-rts {
    position: fixed;
    z-index: 30;
    pointer-events: none;
}

.ff-rts--scrolledout {
    opacity: 0;
}

.ff-scroller {
    display: block;
    height: 4000px;
    width: 20%;
    /* background: rgba(0,0,0,.2); */
}

.ff-shapes {
    position: sticky;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10;
    overflow: hidden;
}

@keyframes shape1 {
    0%, 100% {
        transform: translateX(0);
    }

    33%, 66% {
        transform: translateX(-10%) translateY(10%);
    }
}

@keyframes shape2 {
    0%, 100% {
        transform: translateX(0);
    }

    33%, 66% {
        transform: translateX(10%) translateY(15%);
    }
}

@keyframes shape3 {
    0%, 100% {
        transform: translateX(0);
    }

    33%, 66% {
        transform: translateX(12%) translateY(-4%);
    }
}

@keyframes shape4 {
    0%, 100% {
        /* transform: translateX(0); */
        background-position: top right;
    }

    33%, 66% {
        /* transform: translateX(-12%) translateY(3%); */
        background-position: -12% 3%;
    }
}

.ff-shapes-1 {
    height: 100vh;
    width: 26vw;
    background: url(../images/ff/shape1.svg) no-repeat top right;
    background-size: cover;
    position: absolute;
    left: 0;
    top: 0;
    animation: shape1 14s ease-in-out infinite;
}

.ff-shapes-2 {
    height: 40vh;
    width: 60vw;
    background: url(../images/ff/shape2.svg) no-repeat top left;
    background-size: cover;
    position: absolute;
    right: 0;
    bottom: 0;
    animation: shape2 18s ease-in-out infinite;
}

.ff-shapes-3 {
    height: 25vh;
    width: 18vw;
    background: url(../images/ff/shape3.svg) no-repeat bottom left;
    background-size: cover;
    position: absolute;
    top: 0;
    right: 0;
    animation: shape3 16s ease-in-out infinite;
}

.ff-shapes-4 {
    height: 100vh;
    width: 100vw;
    background: url(../images/ff/shape4.svg) no-repeat top right;
    background-size: cover;
    position: absolute;
    top: 0;
    right: 0;
    z-index: -1;
    animation: shape4 20s ease-in-out infinite;
}

.ff-heading1 {
    /* outline: solid 1px green; */
    top: 2.5rem;
    left: 0;
    display: inline-block;
    z-index: 10;
}

.ff-heading2 {
    /* outline: solid 1px green; */
    top: 6rem;
    left: 0;
    display: inline-block;
}

.ff-heading2--fix {
    transform: translateX(0%) !important;
}

.ff-copy1 {
    /* outline: solid 1px red; */
    width: 40%;
    top: 0;
    right: 0;
    padding: 3.2rem 3rem 0 0;
    transform: translateY(-100%);
}

.ff-slideshow {
    /* outline: solid 1px red; */
    height: 50vh;
    height: 45vh;
    /* display: flex; */
    flex-direction: column;
    justify-content: flex-start;
    align-items: start;
    bottom: 0;
    left: 0;
    width: 225vw;
    transform: translateX(100%);
    display: block;
}

.ff-slideshow img {
    display: inline-flex;
    padding: 0 40px 20px 40px;
    height: 100%;
}

.ff-copy2 {
    /* outline: solid 1px red; */
    width: 36%;
    bottom: 0;
    left: 0;
    padding: 0 1rem 3rem 2rem;
    transform: translateX(-100%);
}

.ff-img1 {
    /* outline: solid 1px yellow; */
    height: 75vh;
    right: -37vw;
    top: 12.5vh;
    transform: rotate(10.5deg);
    display: block;
}

.ff-img2 {
    /* outline: solid 1px yellow; */
    height: 64vh;
    right: -50vw;
    top: 26vh;
    transform: rotate(16.7deg);
    display: block;
}

.ff-quote {
    /* outline: solid 1px red; */
    transform: translateY(105%);
    bottom: 0;
    left: 36%;
    display: inline-block;
    padding-bottom: 3rem;
}

.ff-img3 {
    /* outline: solid 1px red; */
    top: 6vh;
    right: 0;
    height: 65vh;
    transform: translateX(110%) rotate(0);
    z-index: 20;
}

/* outline: solid 1px red; */
.ff-img4 {
    bottom: 10vh;
    right: 0;
    height: 65vh;
    transform: translateX(125%) rotate(18deg);
}

.ff-img5 {
    /* outline: solid 1px red; */
    top: 20vh;
    left: 0;
    height: 45vh;
    transform: translateX(-105%) rotate(0);
}

.ff-img6 {
    /* outline: solid 1px red; */
    bottom: 0;
    right: 22vw;
    height: 65vh;
    transform: translatey(100%) rotate(0deg);
}

.ff-img7 {
    /* outline: solid 1px red; */
    top: 5vh;
    left: 0;
    height: 40vh;
    transform: translatex(-110%) rotate(4deg);
}

.ff-img8 {
    /* outline: solid 1px red; */
    top: 7vh;
    right: 0;
    height: 24vh;
    transform: translatex(105%);
}

.body--ff .indicator {
    background: red !important;
}

.indicator {
    position: fixed;
    top: 0;
    right: 0;
    font-size: 40px;
    background: #fff;
    z-index: 99999;
    display: none;
}

@media(min-width: 901px) {
    .ff-rts {
        display: none;
    }
}



/* default template */

.body--default {
    padding-top: 2.5rem;
    overflow: auto;
    padding-right: 50px;
}

.body--default .main {
    overflow: visible;
}

.body--default .section {
    scroll-snap-type: none;
    overflow: visible;
    padding-bottom: 100px;
}

.body--default p {
    margin-bottom: 1.45em;
}

.body--default .nav {
    top: 2.5rem;
    animation: none;
    border-bottom: solid 1px #000;
}

.body--default .heading {
    min-height: 9rem;
    height: auto;
}

.body--default .belowheading {
    height: auto;
    min-height: calc(100vh - 9rem - 2.5rem);
}

.body--default .nav-1 {
    flex: 1;
}

.body--default .nav-3, .body--default .nav-2 {
    margin-left: auto;
}

.body--default ol, .body--default ul {
    margin-left: 1em;
    margin-bottom: 1.45em;
}




/* breakpoints and other media queries */

@media (min-width: 1800px) and (min-height: 900px) {
    html {
        font-size: 27px;
    }
}

@media (min-width: 1820px) and (min-height: 1100px) {
    html {
        font-size: 30px;
    }

    .features-item {
        font-size: 24px;
    }
}

@media (max-width: 1145px), (max-height: 675px) {
    html {
        font-size: 17px;
    }
}

@media (max-width: 1020px), (max-height: 550px) {
    /* html {
        font-size: 15px;
    } */
}


/* subgrid fix */
@supports not (grid-template-columns: subgrid) {
    .cols-2.subgrid {
        grid-template-columns: repeat(2, 1fr);
    }

    .cols-3.subgrid {
        grid-template-columns: repeat(3, 1fr);
    }

    .cols-4.subgrid {
        grid-template-columns: repeat(4, 1fr);
    }

    .cols-5.subgrid {
        grid-template-columns: repeat(5, 1fr);
    }

    .cols-6.subgrid {
        grid-template-columns: repeat(6, 1fr);
    }

    .cols-8.subgrid {
        grid-template-columns: repeat(9, 1fr);
    }

    .cols-9.subgrid {
        grid-template-columns: repeat(8, 1fr);
    }

    .cols-10.subgrid {
        grid-template-columns: repeat(10, 1fr);
    }

    .cols-12.subgrid {
        grid-template-columns: repeat(12, 1fr);
    }
}


/* mobile */

@media (max-width: 767px) {

    .locationsnearby{
        font-size: xx-large;
        margin-bottom: 20px;
    }
    .cols-4.p-5{
        padding: 0 !important;
    }
}

/* all cheng  */

@media only screen and (max-width: 900px) {
    .sharingImg{
        width: 270px !important;
        height: 300px !important;
        object-fit: cover !important;
    }
    .sofaSharing{
        height: 5px;
        margin-top: 20px;
    }
    .sharingP{
        margin:0 20px;
        text-align: center;
    }
    .wpImg{
        width: 35px !important;
    }
    .fourSharing{
        margin-bottom: 40px;
    }
}   





@media (max-width: 900px) {


    /* general */
    .kontakt-text .cols-4 , .kontakt-text .cols-2,.kontakt-text .cols-3{
        grid-column: span 6 !important;
    }
    .whychooseSec img{
        /* max-width: 100% !important; */
        object-fit: cover;
    }
    .sharing .cols-6 .commonsharing {
        position: unset !important;
        left: unset !important;
        top: unset !important;
        transform: unset !important;
    }
    .borderSharing{
        border-top: 2px solid black;
    }

    .features-empty-item {
        display: none;
    }

    .cols-4 {
        grid-column: span 12;
    }

    .cols-6 {
        grid-column: span 12;
    }

    .desktoponly {
        display: none;
    }

    .mobileonly {
        display: block;
    }

    .main {
        scroll-snap-type: none;
    }

    /* .section {
        display: block;
    } */

    /* .subgrid {
        display: block;
    } */

    .fs-l {
        font-size: 55px;
    }

    .ph-l {
        padding-left: 20px;
    }

    .pe-l {
        padding-right: 20px !important;
    }

    .heading {
        height: 110px;
        padding-top: 0;
        padding-bottom: 0;
        overflow: hidden;
        margin-top: 25px;
    }

    .belowheading {
        height: calc(100vh - 110px);
    }

    ul.nav-1, div.nav-2 {
        display: none;
    }

    .nav-3 {
        margin-left: 0;
    }

    .nav-hamburger {
        display: block;
    }

    .mobilenav {}

    .swiper-button-next, .swiper-button-prev {
        bottom: unset !important;
        top: 50% !important;
        transform: translateY(-50%) !important;
        margin: 0 !important;
    }

    .swiper-button-next {
        right: 25px !important;
    }

    .swiper-button-prev {
        left: 25px !important;
    }


    /* intro */

    .intro {
        /* display: flex;
        flex-direction: column; */
        height: 136vh;
    }

    .intro-coverimage {
        /* outline: solid 1px red; */
        width: 100%;
        /* aspect-ratio: .94; */
        height: 70vh;
        position: static;
    }

    .intro-covertext {
        text-align: left;
        font-size: 20vw;
        /* outline: solid 1px red; */
        padding-left: .1em;
        top: 60px;
        position: absolute;
        transform: none;
    }

    .intro-covertext-carousel {
        top: -.4em;
    }

    .intro-covertext br {
        display: block;
    }

    .intro-copy {
        margin: 0;
        font-size: 32px;
        padding-bottom: 50px;
        padding-top: 60px;
        padding-left: 30px;
        padding-right: 30px;
        position: absolute;
        transform: none;
        bottom: 0;
        height: 60vh;
        animation: none;
        text-align: center;
    }

    .intro-badge {
        display: none;
    }


    /* lage */

    .lage {
        overflow-x: hidden;
        display: flex;
        flex-direction: column;
    }

    .lage-title2 {
        margin-top: 2rem;
    }

    .lage-copy {
        padding-right: 20px;
    }

    .lage-legend {
        flex-direction: column;
        align-self: flex-start;
    }

    .lage-legend-col {}

    .lage-legend-col-item {
        margin-top: .25em;
    }

    .lage-legend-col-item-info em, .lage-legend-col-item-info span {
        display: inline;
    }

    .lage-legend-col-item-info em:before {
        content: ' â€” ';
    }

    .lage-drawing1 {
        position: static;
        height: 420px;
        /* outline: solid 1px blue; */
        width: 100vw;
        margin-left: -20px;
        margin-bottom: 20px;
        margin-top: 40px;
        background-size: cover;
        background-position: 80% top;
    }

    .lage-drawing2 {
        background-image: url(../images/zeichnung-2b-mobile.png);
        position: static;
        /* height: 285px; */
        height: unset;
        aspect-ratio: 1.6;
        width: 100vw;
        margin-left: -20px;
        margin-bottom: 20px;
        margin-top: 20px;
        background-size: 100%;
        background-position: center;
        left: unset;
        transform: unset;
    }

    .lage-drawing2+.lage-copy {
        order: 3;
        margin-top: 20px;
        margin-bottom: 60px;
    }


    /* wohnen */

    #wohnen {
        min-height: auto;
    }

    .wohnen {
        overflow-x: hidden;
    }

    .wohnen2 {
        min-height: calc(100% - 110px);
        border-bottom: none;
    }

    .wohnen-copy {
        font-size: 38px;
        line-height: 145%;
        padding: 35px 20px;
    }

    .wohnen-list {
        border-right: none;
        font-size: 15px;
        line-height: 167%;
    }

    .wohnen .subgrid {
        display: flex;
        flex-direction: column;
    }

    div.wohnen-image {
        display: none !important;
    }

    .wohnen-list {
        /* order: 2; */
        align-content: unset;
        margin-bottom: 20px;
        margin-top: 20px;
        margin-left: 10px;
        margin-right: 10px;
    }

    .wohnen-drawing {
        padding: 0;
        height: 245px;
        width: calc(100% - 40px);
        margin: 0 20px;
    }

    .wohnen-drawing-img {
        background-image: url(../images/wohnen-zeichnung2.png);
    }

    .wohnen-list ol li:before {
        content: counter(list-counter);
        margin-right: 0.5rem;
        width: 2.5ch;
        height: 2.5ch;
        line-height: 2.5ch;
        text-align: center;
        border: solid 1px #000;
        border-radius: 50%;
    }

    .wohnen-list ol li {
        margin-bottom: .5em;
    }


    /* object */

    .object {
        min-height: 100%;
        height: auto;
        padding-bottom: 40px;
    }

    .object-slider {
        height: 345px;
    }

    .object-title {
        padding-right: 20px;
    }

    .object-text {
        margin-top: 25px;
        padding-right: 0;
        margin-right: 20px;
        max-height: unset;
    }

    .object-bottom {
        height: min-content;
        align-self: end;
        grid-template-rows: 1fr 1fr;
    }

    .object-meta {
        border-top: solid 2px #000;
        border-bottom: solid 2px #000;
        white-space: nowrap;
        letter-spacing: -.025rem;
        font-size: 25px;
        line-height: 145%;
    }

    .object-expose {
        display: flex;
        align-content: center;
        justify-content: center;
    }

    .object-expose a {
        padding: .25em .75em;
        border: solid 2px #000;
        border-radius: 4em;
        align-self: center;
        justify-self: center;
    }


    /* features */

    .features {
        border-top: solid 2px #000;
        display: block;
        width: 100vw;
    }

    .features .belowheading {
        height: auto;
        min-height: 100%;
        display: grid;
        grid-template-columns: 45vw 45vw;
        margin: 0px 15px;
    }

    .features-item {
        height: unset;
        aspect-ratio: 1;
        grid-column: span 1;
        position: relative;
    }

    .features-item div {
        position: absolute;
        top: 0;
        padding: 10px;
        width: 100%;
        font-size: 12px;
        line-height: 1.25;
        justify-content: center;
        align-items: center;
    }

    .features-popover {}

    .features-item:hover div {
        display: none;
        width: 100%;
    }

    .features-item button {
        display: block;
        width: 100%;
        height: 100%;
        border: none;
        cursor: pointer;
        appearance: none;
        background: transparent url(../assets/arrow.svg) 95% 95% no-repeat;
    }


    /* architektur */

    #architektur .subgrid {
        display: flex;
        flex-direction: column;
    }

    .architektur .heading {
        letter-spacing: -.02em;
    }

    .architektur-slider {
        order: 3;
    }

    .architektur-copy {
        height: min-content;
        order: 2;
    }

    .architektur-copy img {
        width: 8ch;
        margin-top: 1.45em;
    }

    .architektur--hadi {
        display: flex;
        flex-direction: column;
        min-height: 100vh;
        height: auto;
    }

    .architektur--hadi .architektur-copy {
        order: 2;
        height: min-content;
    }

    .architektur--hadi .architektur-image {
        background-size: cover;
        background-position: right center;
        order: 1;
        width: 100%;
        height: auto;
        aspect-ratio: .7;
        font-size: 20px;
        padding: 20px;
        /* height: 50vh; */
    }


    /* presse */

    .presse {
        display: flex;
        flex-direction: column;
    }

    .presse-title {
        border-bottom: solid 2px #000;
    }

    .presse-cover {
        display: none;
    }

    .presse-drawing.desktoponly {
        display: none !important;
    }

    .presse-list {
        padding: 0 20px;
        display: flex;
        flex-direction: column;
        order: 1;
    }

    .presse-article {
        width: 100%;
        display: flex;
    }

    .presse-article div {
        width: 35%;
    }

    .presse-article div+div {
        width: 65%;
    }

    .presse-drawing {
        order: 2;
        height: 307px;
        margin-bottom: 60px;
    }

    .presse-title {}

    .presse-subtitle {
        margin-bottom: .25em;
    }



    /* kontakt */

    .kontakt {
        min-height: unset;
        height: unset;
        display: flex;
        flex-direction: column;
    }

    .kontakt .subgrid {
        display: block;
    }

    .kontakt .belowheading {
        min-height: calc(100vh - 110px - 48px);
        height: unset;
        padding-bottom: 40px;
    }

    .kontakt-form {
        display: block;
        width: 100%;
        padding: 0;
    }

    .kontakt-form form {
        margin-top: 0;
        /* height: unset; */
    }

    .kontakt-form div {
        width: 95%;
        padding: 0;
        margin: 8px;
    }

    .kontakt-form-textarea {
        width: calc(100% - 40px);
        margin: 20px;
        height: auto;
        border-radius: 0;
    }

    .kontakt .cols-5+.cols-5 {}

    .kontakt-form-field input {
        padding: 0 20px;
    }

    .kontakt-form-submit {
        margin-top: -10px;
    }

    .kontakt-form-submit-button {
        margin-right: 20px;
        appearance: none;
        color: #000;
    }

    .kontakt-drawing {
        display: none;
    }

    .kontakt-footer {
        position: static;
        width: 100%;
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding-left: 20px;
        padding-right: 20px;
    }

    .kontakt-footer div {
        /* display: none; */
        text-align: left;
        height: 100%;
        max-height: 100%;
        overflow: hidden;
    }

    .kontakt-footer div+div {
        display: block;
        text-align: left;
    }

    .kontakt-footer div+div+div {
        display: block;
        text-align: right;
    }

    .kontakt-footer a {
        margin-right: 14px;
        font-size: 12px;
    }

    .kontakt-footer a:last-of-type {
        margin-right: 0;
    }

    .kontakt-text p {
        margin-bottom: 2.5em;
    }

    .kontakt-socialicons {
        display: block;
        margin: 20px 20px 60px 20px;
    }

    .kontakt-socialicons a {
        width: 2.5em;
        height: 2.5em;
        display: inline-block;
    }



    /* ff */


    .ff {}

    .ff-shapes {
        /* z-index: 0; */
    }

    .ff-rts-container {
        /* position: absolute; */
        position: relative;
        margin-top: -100vh;
        z-index: 20;
        overflow-y: hidden;
        height: auto !important;
    }

    .ff-scroller {
        height: auto;
    }

    .ff-rts-container>* {
        position: static;
        transform: none !important;
        opacity: 1 !important;
    }

    /* .section:not(.ff), .nav {
        display: none;
    } */

    .ff-heading1, .ff-heading2, .ff-heading1, .ff-heading3 {
        font-size: 50px;
    }

    .ff-heading1 {
        margin-top: 30px;
    }

    .ff-heading2 {
        margin-top: -20px;
        display: block;
    }

    .ff-copy1 {
        width: calc(100% - 20px);
        margin-left: 50px;
        margin-top: -20px;
        margin-bottom: 30px;
    }

    .ff-slideshow {
        width: 100%;
        height: auto;
    }

    .ff-slideshow img {
        width: calc(100% + 80px);
        margin-left: -40px;
    }

    .ff-heading3 {
        opacity: 1 !important;
        margin-top: 60px;
    }

    .ff-copy2 {
        width: 100%;
        margin-top: 70px;
    }

    .ff-img1 {
        height: 45vh !important;
        transform: rotate(10deg) !important;
        margin-left: 30vw;
        z-index: 40 !important;
    }

    .ff-img2 {
        height: 38vh !important;
        margin-top: -25vh;
        margin-left: 50vw;
        z-index: 50 !important;
        transform: rotate(20deg) !important;
    }

    .ff-img3, .ff-img4, .ff-img6, .ff-img7, .ff-img8, .ff-quote {
        display: none;
    }

    .ff-img5 {
        height: 40vh !important;
        margin-bottom: -63vh;
        transform: rotate(-8.5deg) !important;
        z-index: -1 !important;
    }


    /* default template */

    .body--default .heading {
        font-size: 50px;
    }

    .body--default .nav-2 {
        display: block;
    }

}

.form-group {
    width: 100%;
    margin-top: 20px;
    font-size: 20px;
}

.form-group input,
.form-group textarea,
.form-group select {
    width: 100%;
    padding: 13px;
    font-size: 18px;
    border: 1px solid rgba(128, 128, 128, 0.199);
    margin-top: 5px;
}

textarea {
    resize: vertical;
}

#saffrony-form1 button[type="submit"] {
    width: 100%;
    border: none;
    outline: none;
    padding: 15px;
    font-size: 24px;
    border-radius: 8px;
    color: #fff;
    background: #111;
    text-align: center;
    cursor: pointer;
    margin-top: 14px;
    transition: 0.3s ease background-color;
}

#saffrony-form1 button[type="submit"]:hover {
    background-color: rgb(214, 226, 236);
    color: #111;
}

.text-center {
    text-align: center;
}
.whychooseSec img{
    max-width: 400px;
}